Package ghidra.pty.windows

# Class AnsiBufferedInputStream

java.lang.Object
java.io.InputStream
ghidra.pty.windows.AnsiBufferedInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class AnsiBufferedInputStream extends InputStream

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnsiBufferedInputStream(InputStream in)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `appendChar(byte c)`
  `protected void`
  `bakeLine()`
  `void`
  `close()`
  `protected void`
  `execCursorBackward()`
  `protected void`
  `execCursorDown()`
  `protected void`
  `execCursorForward()`
  `protected void`
  `execCursorPosition()`
  `protected void`
  `execCursorUp()`
  `protected void`
  `execEraseCharacter()`
  `protected void`
  `execEraseInDisplay()`
  `protected void`
  `execEraseInLine()`
  `protected void`
  `execSetGraphicsRendition()`
  `protected void`
  `execSetWindowTitle()`
  `protected void`
  `execTextCursorDisableBlinking()`
  `protected void`
  `execTextCursorDisableModeShow()`
  `protected void`
  `execTextCursorEnableBlinking()`
  `protected void`
  `execTextCursorEnableModeShow()`
  `protected int`
  `guessEnd()`
  There's not really a good way to know if any trailing space was intentional.
  `protected int`
  `parseNumericBuffer()`
  `protected int[]`
  `parseNumericListBuffer()`
  `protected void`
  `printDebugChar(byte c)`
  `protected void`
  `processChars(byte c)`
  `protected void`
  `processCsi(byte c)`
  `protected void`
  `processCsiParamOrCommand(byte c)`
  `protected void`
  `processCsiQ(byte c)`
  `protected void`
  `processEsc(byte c)`
  `protected int`
  `processNext()`
  `protected void`
  `processOsc(byte c)`
  `protected void`
  `processWindowTitle(byte c)`
  `protected void`
  `processWindowTitleEsc(byte c)`
  `int`
  `read()`
  `int`
  `read(byte[] b, int off, int len)`
  `protected String`
  `readAndClear(ByteBuffer buf)`
  `protected String`
  `readAndClearEscBuf()`
  `protected int`
  `readUntilBaked()`
  `protected void`
  `setPosition(int newPosition)`

  ### Methods inherited from class java.io.InputStream

  `available, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnsiBufferedInputStream

    public AnsiBufferedInputStream(InputStream in)

- ## Method Details

  - ### read

    public int read() throws IOException
    Specified by:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b, int off, int len) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `InputStream`
    Throws:
      `IOException`

  - ### readUntilBaked

    protected int readUntilBaked() throws IOException
    Throws:
      `IOException`

  - ### printDebugChar

    protected void printDebugChar(byte c)

  - ### processNext

    protected int processNext() throws IOException
    Throws:
      `IOException`

  - ### guessEnd

    protected int guessEnd()
    There's not really a good way to know if any trailing space was intentional. For GDB/MI, that doesn't really matter.

  - ### bakeLine

    protected void bakeLine()

  - ### appendChar

    protected void appendChar(byte c)

  - ### processChars

    protected void processChars(byte c)

  - ### processEsc

    protected void processEsc(byte c)

  - ### processCsi

    protected void processCsi(byte c)

  - ### processCsiParamOrCommand

    protected void processCsiParamOrCommand(byte c)

  - ### processCsiQ

    protected void processCsiQ(byte c)

  - ### processOsc

    protected void processOsc(byte c)

  - ### processWindowTitle

    protected void processWindowTitle(byte c)

  - ### processWindowTitleEsc

    protected void processWindowTitleEsc(byte c)

  - ### readAndClear

    protected String readAndClear(ByteBuffer buf)

  - ### readAndClearEscBuf

    protected String readAndClearEscBuf()

  - ### parseNumericBuffer

    protected int parseNumericBuffer()

  - ### parseNumericListBuffer

    protected int[] parseNumericListBuffer()

  - ### execCursorUp

    protected void execCursorUp()

  - ### execCursorDown

    protected void execCursorDown()

  - ### setPosition

    protected void setPosition(int newPosition)

  - ### execCursorForward

    protected void execCursorForward()

  - ### execCursorBackward

    protected void execCursorBackward()

  - ### execCursorPosition

    protected void execCursorPosition()

  - ### execTextCursorEnableBlinking

    protected void execTextCursorEnableBlinking()

  - ### execTextCursorDisableBlinking

    protected void execTextCursorDisableBlinking()

  - ### execTextCursorEnableModeShow

    protected void execTextCursorEnableModeShow()

  - ### execTextCursorDisableModeShow

    protected void execTextCursorDisableModeShow()

  - ### execEraseInDisplay

    protected void execEraseInDisplay()

  - ### execEraseInLine

    protected void execEraseInLine()

  - ### execEraseCharacter

    protected void execEraseCharacter()

  - ### execSetGraphicsRendition

    protected void execSetGraphicsRendition()

  - ### execSetWindowTitle

    protected void execSetWindowTitle()